var app = new Vue({
  el: "#app",
  data: {
    searchKey: "",
    cityData: getCityList(),
  },
  methods: {
    inputChange(keyword) {
      let that = this;
      if (keyword == "") {
        that.cityData = getCityList();
      }
    },
    keySearch() {
      let that = this;
      let searchResult = [];
      for (let index = 0; index < that.cityData.length; index++) {
        const cityItem = that.cityData[index];
        if (cityItem.name.includes(that.searchKey)) {
          searchResult.push(cityItem);
        }
      }
      that.cityData = searchResult;
    },
    getCookies(key) {
      if (document.cookie.length > 0) {
        var cookieStart = document.cookie.indexOf(key + "=");
        if (cookieStart != -1) {
          cookieStart = cookieStart + key.length + 1;
          cookieEnd = document.cookie.indexOf(";", cookieStart);
          if (cookieEnd == -1) cookieEnd = document.cookie.length;
          return decodeURIComponent(
            document.cookie.substring(cookieStart, cookieEnd)
          );
        }
      }
      return "";
    },
    isApp() {
      if (this.getCookies("app")) {
        return true;
      } else {
        return false;
      }
    },
    onListItemClick(item) {
      if (item.id) {
        window.location.href =
          "beido://changeCity?id=" + item.id + "&name=" + item.name;
      }
    },
  },
});

function onLoad() {}

function setCookies(name, value) {
  var str = name + "=" + encodeURIComponent(value);
  document.cookie = str;
}
