//获取get参数的方法
function getQueryString(name) {
  var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)");
  var r = window.location.search.substr(1).match(reg);
  if (r != null) return unescape(r[2]);
  return null;
}

var mapView;
// var userMarker;

function onLoad() {
  let longitude = getQueryString("lng");
  let latitude = getQueryString("lat");
  // let userPositon = wgs84togcj02(longitude, latitude);
  let userPositon = [longitude, latitude];

  //用户位置Marker
  // userMarker = new AMap.Marker({
  //     position: new AMap.LngLat(userPositon[0], userPositon[1]),
  //     offset: new AMap.Pixel(0, 0),
  //     icon: 'img/user_location.png',
  //     anchor: "center"

  // });

  var screenWidth = $(document).width();
  var sign_x = screenWidth / 2 - 9;
  $(".sign").css("left", sign_x + "px");

  var app = new Vue({
    el: "#app",
    data: {
      center: userPositon, //纬度-经度
      search_key: "", //搜索值
      lists: [], //地点列表
      search_list: [], //搜索结果列表
      tips_list: [], //输入提示列表
      noSearchShow: false, //无搜索结果提示，无搜索结果时会显示暂无搜索结果
      showSearchList: false,
    },
    methods: {
      onBackButtonClick() {
        window.location.href = "./index.html";
      },
      centerSearch() {
        AMap.plugin(["AMap.PlaceSearch"], () => {
          //构造地点查询类
          var placeSearch = new AMap.PlaceSearch({
            type: "汽车服务|餐饮服务|购物服务|生活服务|体育休闲服务|医疗保健服务|住宿服务|风景名胜|商务住宅|政府机构及社会团体|科教文化服务|交通设施服务|金融保险服务|公司企业|地名地址信息", // 兴趣点类别
            pageSize: 30, // 单页显示结果条数
            pageIndex: 1, // 页码
            city: "全国", // 兴趣点城市
            autoFitView: false, // 是否自动调整地图视野使绘制的 Marker点都处于视口的可见范围
          });
          //根据地图中心点查附近地点
          placeSearch.searchNearBy(
            "",
            [app.center[0], app.center[1]],
            200,
            (status, result) => {
              if (status == "complete") {
                app.lists = result.poiList.pois; //将查询到的地点赋值
              }
            }
          );
        });
      },
      adMap() {
        AMapLoader.load({
          key: "7b2391e8811341af41be20b5e43ebfc5",
          version: "2.0",
        })
          .then((AMap) => {
            //初始化地图
            mapView = new AMap.Map("mapView", {
              zoom: 14, //缩放级别
              center: app.center, //设置地图中心点
              resizeEnable: true, //地图初始化加载定位到当前城市
            });
            //获取初始中心点并赋值
            var currentCenter = mapView.getCenter(); //此方法是获取当前地图的中心点
            app.center = [currentCenter.lng, currentCenter.lat]; //将获取到的中心点的纬度经度赋值给data的center
            //根据地图中心点查附近地点，此方法在下方
            app.centerSearch();
            //监听地图移动事件，并在移动结束后获取地图中心点并更新地点列表
            var moveendFun = (e) => {
              // 获取地图中心点
              currentCenter = mapView.getCenter();
              app.center = [currentCenter.lng, currentCenter.lat];
              //根据地图中心点查附近地点
              app.centerSearch();
            };
            // 绑定事件移动地图事件
            mapView.on("moveend", moveendFun);

            // mapView.add(userMarker);
          })
          .catch((e) => {
            console.error(e);
          });
      },
      onAddressListClick(location) {
        app.center = [location.lng, location.lat];
        app.adMap();
        app.search_key = "";
      },
      onSearchListClick(item, location, name) {
        if (item.isCity) {
          app.showSearchList = true;
          AMap.plugin(["AMap.PlaceSearch"], () => {
            //构造地点查询类
            var placeSearch = new AMap.PlaceSearch({
              type: "汽车服务|餐饮服务|购物服务|生活服务|体育休闲服务|医疗保健服务|住宿服务|风景名胜|商务住宅|政府机构及社会团体|科教文化服务|交通设施服务|金融保险服务|公司企业|地名地址信息", // 兴趣点类别
              pageSize: 30, // 单页显示结果条数
              pageIndex: 1, // 页码
              city: item.name, // 兴趣点城市
              citylimit: true, //是否强制限制在设置的城市内搜索
              autoFitView: false, // 是否自动调整地图视野使绘制的 Marker点都处于视口的可见范围
            });
            //关键字查询
            placeSearch.search(app.search_key, (status, result) => {
              if (status == "complete") {
                if (result.poiList.count === 0) {
                  app.noSearchShow = true;
                } else {
                  app.search_list = result.poiList.pois; //将查询到的地点赋值
                  app.noSearchShow = false;
                }
              } else {
                app.search_list = [];
                app.noSearchShow = true;
              }
            });
          });
        } else {
          window.location.href =
            "beido://searchResult?lng=" + location.lng + "&lat=" + location.lat + "&name=" + name;
        }
      },
      onSearchTipsClick(item) {
        app.showSearchList = true;
        AMap.plugin(["AMap.PlaceSearch"], () => {
          //构造地点查询类
          var placeSearch = new AMap.PlaceSearch({
            type: "汽车服务|餐饮服务|购物服务|生活服务|体育休闲服务|医疗保健服务|住宿服务|风景名胜|商务住宅|政府机构及社会团体|科教文化服务|交通设施服务|金融保险服务|公司企业|地名地址信息", // 兴趣点类别
            pageSize: 30, // 单页显示结果条数
            pageIndex: 1, // 页码
            city: item.adcode, // 兴趣点城市
            citylimit: false, //是否强制限制在设置的城市内搜索
            autoFitView: false, // 是否自动调整地图视野使绘制的 Marker点都处于视口的可见范围
          });
          //关键字查询
          placeSearch.search(item.name, (status, result) => {
            if (status == "complete") {
              if (result.poiList.count === 0) {
                app.noSearchShow = true;
              } else {
                app.search_list = result.poiList.pois; //将查询到的地点赋值
                app.noSearchShow = false;
              }
            } else {
              app.search_list = [];
              app.noSearchShow = true;
            }
          });
        });
      },
      inputChange(keyword) {
        if (keyword == "") {
          $(".con-box").css("display", "block");
        } else {
          $(".con-box").css("display", "none");
        }
        app.showSearchList = false;
        AMap.plugin("AMap.AutoComplete", function () {
          // 实例化Autocomplete
          var autoOptions = {
            //city 限定城市，默认全国
            city: "全国",
          };
          var autoComplete = new AMap.AutoComplete(autoOptions);
          autoComplete.search(keyword, function (status, result) {
            // 搜索成功时，result即是对应的匹配数据
            if (status == "complete") {
              if (result.count != 0) {
                app.tips_list = result.tips; //将查询到的地点赋值
              }
            } else {
              app.tips_list = [];
            }
          });
        });
      },
      keySearch() {
        app.showSearchList = true;
        AMap.plugin(["AMap.PlaceSearch"], () => {
          //构造地点查询类
          var placeSearch = new AMap.PlaceSearch({
            type: "汽车服务|餐饮服务|购物服务|生活服务|体育休闲服务|医疗保健服务|住宿服务|风景名胜|商务住宅|政府机构及社会团体|科教文化服务|交通设施服务|金融保险服务|公司企业|地名地址信息", // 兴趣点类别
            pageSize: 30, // 单页显示结果条数
            pageIndex: 1, // 页码
            city: "全国", // 兴趣点城市
            citylimit: false, //是否强制限制在设置的城市内搜索
            autoFitView: false, // 是否自动调整地图视野使绘制的 Marker点都处于视口的可见范围
          });
          //关键字查询
          placeSearch.search(app.search_key, (status, result) => {
            if (status == "complete") {
              if (result.poiList.count === 0) {
                if (result.cityList && result.cityList.length > 0) {
                  app.search_list = [];
                  for (let i = 0; i < result.cityList.length; i++) {
                    let item = {
                      name: result.cityList[i].name,
                      address: "约" + result.cityList[i].count + "个结果",
                      isCity: true,
                    };
                    app.search_list.push(item);
                  }
                } else {
                  app.noSearchShow = true;
                }
              } else {
                app.search_list = result.poiList.pois; //将查询到的地点赋值
                app.noSearchShow = false;
              }
            } else {
              app.search_list = [];
              app.noSearchShow = true;
            }
          });
        });
      },
    },
  });

  app.adMap();
}
